net.minecraft.scoreboard

## Class ServerScoreboard

- java.lang.Object
- - net.minecraft.scoreboard.Scoreboard
  - - net.minecraft.scoreboard.ServerScoreboard

-     public class ServerScoreboard
      extends Scoreboard

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerScoreboard(MinecraftServer par1MinecraftServer)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `broadcastTeamCreated(ScorePlayerTeam par1ScorePlayerTeam)`
    `void` | `broadcastTeamRemoved(ScorePlayerTeam par1ScorePlayerTeam)`
    `boolean` | `func_151392_a(java.lang.String p_151392_1_, java.lang.String p_151392_2_)`
    `void` | `func_96513_c(ScorePlayerTeam par1ScorePlayerTeam)`
    `void` | `func_96516_a(java.lang.String par1Str)`
    `void` | `func_96522_a(ScoreObjective par1ScoreObjective)`
    `void` | `func_96530_a(int par1, ScoreObjective par2ScoreObjective)`
    `void` | `func_96532_b(ScoreObjective par1ScoreObjective)`
    `void` | `func_96533_c(ScoreObjective par1ScoreObjective)`
    `void` | `func_96536_a(Score par1Score)`
    `void` | `func_96546_g(ScoreObjective par1ScoreObjective)`
    `void` | `func_96547_a(ScoreboardSaveData par1ScoreboardSaveData)`
    `java.util.List` | `func_96548_f(ScoreObjective par1ScoreObjective)`
    `void` | `func_96549_e(ScoreObjective par1ScoreObjective)`
    `java.util.List` | `func_96550_d(ScoreObjective par1ScoreObjective)`
    `protected void` | `func_96551_b()`
    `int` | `func_96552_h(ScoreObjective par1ScoreObjective)`
    `void` | `removePlayerFromTeam(java.lang.String par1Str, ScorePlayerTeam par2ScorePlayerTeam)`

    - ### Methods inherited from class net.minecraft.scoreboard.Scoreboard

      `addScoreObjective, createTeam, func_96510_d, func_96515_c, func_96519_k, func_96520_a, func_96528_e, func_96529_a, func_96534_i, func_96539_a, getObjective, getObjectiveDisplaySlot, getObjectiveDisplaySlotNumber, getObjectiveNames, getPlayersTeam, getScoreObjectives, getTeam, getTeamNames, getTeams, removePlayerFromTeams, removeTeam`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerScoreboard

          public ServerScoreboard(MinecraftServer par1MinecraftServer)

  - ### Method Detail

    - #### func_96536_a

          public void func_96536_a(Score par1Score)

      Overrides:
        `func_96536_a` in class `Scoreboard`

    - #### func_96516_a

          public void func_96516_a(java.lang.String par1Str)

      Overrides:
        `func_96516_a` in class `Scoreboard`

    - #### func_96530_a

          public void func_96530_a(int par1,
                          ScoreObjective par2ScoreObjective)

      Overrides:
        `func_96530_a` in class `Scoreboard`

    - #### func_151392_a

          public boolean func_151392_a(java.lang.String p_151392_1_,
                              java.lang.String p_151392_2_)

      Overrides:
        `func_151392_a` in class `Scoreboard`

    - #### removePlayerFromTeam

          public void removePlayerFromTeam(java.lang.String par1Str,
                                  ScorePlayerTeam par2ScorePlayerTeam)

      Overrides:
        `removePlayerFromTeam` in class `Scoreboard`

    - #### func_96522_a

          public void func_96522_a(ScoreObjective par1ScoreObjective)

      Overrides:
        `func_96522_a` in class `Scoreboard`

    - #### func_96532_b

          public void func_96532_b(ScoreObjective par1ScoreObjective)

      Overrides:
        `func_96532_b` in class `Scoreboard`

    - #### func_96533_c

          public void func_96533_c(ScoreObjective par1ScoreObjective)

      Overrides:
        `func_96533_c` in class `Scoreboard`

    - #### broadcastTeamCreated

          public void broadcastTeamCreated(ScorePlayerTeam par1ScorePlayerTeam)

      Overrides:
        `broadcastTeamCreated` in class `Scoreboard`

    - #### broadcastTeamRemoved

          public void broadcastTeamRemoved(ScorePlayerTeam par1ScorePlayerTeam)

      Overrides:
        `broadcastTeamRemoved` in class `Scoreboard`

    - #### func_96513_c

          public void func_96513_c(ScorePlayerTeam par1ScorePlayerTeam)

      Overrides:
        `func_96513_c` in class `Scoreboard`

    - #### func_96547_a

          public void func_96547_a(ScoreboardSaveData par1ScoreboardSaveData)

    - #### func_96551_b

          protected void func_96551_b()

    - #### func_96550_d

          public java.util.List func_96550_d(ScoreObjective par1ScoreObjective)

    - #### func_96549_e

          public void func_96549_e(ScoreObjective par1ScoreObjective)

    - #### func_96548_f

          public java.util.List func_96548_f(ScoreObjective par1ScoreObjective)

    - #### func_96546_g

          public void func_96546_g(ScoreObjective par1ScoreObjective)

    - #### func_96552_h

          public int func_96552_h(ScoreObjective par1ScoreObjective)